# Returns customer usage site summary information Returns usage quantities and cost grouped by site id Endpoint: GET /customer-usage-site-summaries Version: 1.43 Security: bearerAuth ## Query parameters: - `page` (integer, required) Page of results to show Example: 1 - `pageSize` (integer, required) Results to return per page Example: 100 - `sort` (string) Comma-delimited list of the fields to sort by - defaults to ascending order, suffix :desc to change Example: "id,name | name:desc" - `fields` (string) Comma-delimited list of the field(s) to return if only a subset is required Example: "id,name" - `customerId` (string, required) Required filter by customer Example: "0" - `billRunId` (string) Filter by bill run - by default we return the open bill run summary information if this is omitted Example: "0" - `siteId` (string) Filter by site identifier Example: "0" - `siteName` (string) Filter by site name Example: "xyz | in:x,y | like:xyz" ## Response 200 fields (application/json): - `customerId` (integer) Customer identifier Example: 1 - `billRunId` (integer) Bill run identifier - `siteId` (integer) Identifier of site Example: 1 - `siteName` (string) Site name - `quantity` (number) The quantity of the usage records for this charge group category in the chargingUnitType Example: 80 - `priceInMajorCurrency` (number) Price for the charge group category in major currency (e.g pounds/dollars/euros) Example: 100 ## Response 400 fields ## Response 401 fields ## Response 403 fields